<?php
namespace FORM4\Form4Editorial\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 form4 GmbH & Co. KG <typo3@form4.de>, form4 GmbH & Co. KG
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package form4_editorial
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class Page extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * comment
	 *
	 * @var \string
	 * @validate NotEmpty
	 */
	protected $comment;

	/**
	 * final
	 *
	 * @var boolean
	 * @validate NotEmpty
	 */
	protected $final = FALSE;

	/**
	 * Returns the comment
	 *
	 * @return \string $comment
	 */
	public function getComment() {
		return $this->comment;
	}

	/**
	 * Sets the comment
	 *
	 * @param \string $comment
	 * @return void
	 */
	public function setComment($comment) {
		$this->comment = $comment;
	}

	/**
	 * Returns the final
	 *
	 * @return boolean $final
	 */
	public function getFinal() {
		return $this->final;
	}

	/**
	 * Sets the final
	 *
	 * @param boolean $final
	 * @return void
	 */
	public function setFinal($final) {
		$this->final = $final;
	}

	/**
	 * Returns the boolean state of final
	 *
	 * @return boolean
	 */
	public function isFinal() {
		return $this->getFinal();
	}

}
?>