<?php
namespace FORM4\Form4Editorial\Utility\Hooks;

/***************************************************************
 *  Copyright notice
*
*  (c) 2013 Oliver Meimberg (oliver.meimberg@form4.de)
*
*  All rights reserved
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/**
 * Implements a hook for t3lib_iconworks
 */
class NotFinalIconHook {

	/**
	 * Visualizes the finalization status for a pages record.
	 *
	 * @param string $table Name of the table
	 * @param array $row Record row containing the field values
	 * @param array $status Status to be used for rendering the icon
	 * @return void
	 */
	public function overrideIconOverlay($table, array $row, array &$status) {

		$relevantDoktypes = array("1","60","61","62","63","64");

		if($table == "pages") {
			if(in_array($row["doktype"],$relevantDoktypes)){
				if (isset($row['final']) && $row['final'] == 0) {
					$status['missing'] = TRUE;
				}
			}
		}
	}
}

?>